import { b as _extends, d as _inheritsLoose, e as _assertThisInitialized, f as _defineProperty } from './chunk-fb907809.js';
import React__default from 'react';
import { findDOMNode } from 'react-dom';
import { prop } from 'styled-tools';
import hoistNonReactStatics from 'hoist-non-react-statics';
import styled from './styled.js';
import as from './as.js';
import Popover from './Popover.js';
import { a as PopoverArrow } from './chunk-00dfa47e.js';
import 'styled-components';
import '@emotion/is-prop-valid';
import 'prop-types';
import 'popper.js';
import './Hidden.js';
import './chunk-a7ce379e.js';
import './chunk-d8771a86.js';
import './Base.js';
import './chunk-254efadd.js';
import './chunk-5a36c0e0.js';
import 'constate';
import './chunk-419da5e4.js';
import './Box.js';
import './Arrow.js';

var Component =
/*#__PURE__*/
function (_React$Component) {
  _inheritsLoose(Component, _React$Component);

  function Component() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "state", {
      visible: false
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "isControlled", function () {
      return typeof _this.props.visible !== "undefined";
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "show", function () {
      return _this.setState({
        visible: true
      });
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "hide", function () {
      return _this.setState({
        visible: false
      });
    });

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "getTooltip", function () {
      return findDOMNode(_assertThisInitialized(_assertThisInitialized(_this)));
    });

    return _this;
  }

  var _proto = Component.prototype;

  _proto.componentDidMount = function componentDidMount() {
    var _this$getTooltip = this.getTooltip(),
        parentNode = _this$getTooltip.parentNode;

    if (parentNode && !this.isControlled()) {
      parentNode.addEventListener("mouseenter", this.show);
      parentNode.addEventListener("focus", this.show);
      parentNode.addEventListener("mouseleave", this.hide);
      parentNode.addEventListener("blur", this.hide);
    }
  };

  _proto.componentWillUnmount = function componentWillUnmount() {
    var _this$getTooltip2 = this.getTooltip(),
        parentNode = _this$getTooltip2.parentNode;

    if (parentNode) {
      parentNode.removeEventListener("mouseenter", this.show);
      parentNode.removeEventListener("focus", this.show);
      parentNode.removeEventListener("mouseleave", this.hide);
      parentNode.removeEventListener("blur", this.hide);
    }
  };

  _proto.render = function render() {
    var _ref = this.isControlled() ? this.props : this.state,
        visible = _ref.visible;

    return React__default.createElement(Popover, _extends({}, this.props, {
      visible: visible
    }));
  };

  return Component;
}(React__default.Component);

hoistNonReactStatics(Component, Popover);
var Tooltip = styled(Component).withConfig({
  displayName: "Tooltip",
  componentId: "sc-8x61i5-0"
})(["pointer-events:none;white-space:nowrap;text-transform:none;font-size:0.875em;text-align:center;color:white;background-color:#222;border-radius:0.15384em;padding:0.75em 1em;", ";"], prop("theme.Tooltip"));
Tooltip.defaultProps = {
  role: "tooltip",
  placement: "top"
};
var Tooltip$1 = as("div")(Tooltip);

var TooltipArrow = styled(PopoverArrow).withConfig({
  displayName: "TooltipArrow",
  componentId: "ljormk-0"
})(["color:#222;border:none;", ";"], prop("theme.TooltipArrow"));
var TooltipArrow$1 = as("div")(TooltipArrow);

Tooltip$1.Arrow = TooltipArrow$1;

export default Tooltip$1;
