import { b as _extends, a as _objectSpread } from './chunk-fb907809.js';
import React__default from 'react';
import PropTypes__default from 'prop-types';
import { Container } from 'constate';

var initialState = {
  visible: false
};
var toggle = function toggle() {
  return function (state) {
    return {
      visible: !state.visible
    };
  };
};
var show = function show() {
  return function () {
    return {
      visible: true
    };
  };
};
var hide = function hide() {
  return function () {
    return {
      visible: false
    };
  };
};

var HiddenContainer = function HiddenContainer(props) {
  return React__default.createElement(Container, _extends({}, props, {
    initialState: _objectSpread({}, initialState, props.initialState),
    actions: _objectSpread({
      toggle: toggle,
      show: show,
      hide: hide
    }, props.actions)
  }));
};

HiddenContainer.propTypes = {
  initialState: PropTypes__default.object,
  actions: PropTypes__default.objectOf(PropTypes__default.func)
};

export { HiddenContainer as a };
