'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var __chunk_1 = require('./chunk-582bef72.js');
var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var PropTypes__default = _interopDefault(PropTypes);
var constate = require('constate');
var styled = require('./styled.js');
require('styled-components');

var Provider = function Provider(_ref) {
  var theme = _ref.theme,
      children = _ref.children,
      props = __chunk_1._objectWithoutPropertiesLoose(_ref, ["theme", "children"]);

  return React__default.createElement(constate.Provider, props, theme ? React__default.createElement(styled.ThemeProvider, {
    theme: theme
  }, children) : children);
};

Provider.propTypes = {
  initialState: PropTypes__default.object,
  onMount: PropTypes__default.func,
  onUpdate: PropTypes__default.func,
  onUnmount: PropTypes__default.func,
  theme: PropTypes__default.oneOfType([PropTypes__default.object, PropTypes__default.func]),
  children: PropTypes__default.node,
  devtools: PropTypes__default.bool
};

exports.default = Provider;
