'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var __chunk_1 = require('./chunk-582bef72.js');
var React = require('react');
var React__default = _interopDefault(React);
var ReactDOM = require('react-dom');
var styledTools = require('styled-tools');
var hoistNonReactStatics = _interopDefault(require('hoist-non-react-statics'));
var styled = require('./styled.js');
var as = require('./as.js');
var Popover = require('./Popover.js');
var __chunk_8 = require('./chunk-3ce23452.js');
require('styled-components');
require('@emotion/is-prop-valid');
require('prop-types');
require('popper.js');
require('./Hidden.js');
require('./chunk-f0c301b2.js');
require('./chunk-25591e69.js');
require('./Base.js');
require('./chunk-67afb756.js');
require('./chunk-b8a7a9e2.js');
require('constate');
require('./chunk-71b51505.js');
require('./Box.js');
require('./Arrow.js');

var Component =
/*#__PURE__*/
function (_React$Component) {
  __chunk_1._inheritsLoose(Component, _React$Component);

  function Component() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(__chunk_1._assertThisInitialized(_this)), "state", {
      visible: false
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(__chunk_1._assertThisInitialized(_this)), "isControlled", function () {
      return typeof _this.props.visible !== "undefined";
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(__chunk_1._assertThisInitialized(_this)), "show", function () {
      return _this.setState({
        visible: true
      });
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(__chunk_1._assertThisInitialized(_this)), "hide", function () {
      return _this.setState({
        visible: false
      });
    });

    __chunk_1._defineProperty(__chunk_1._assertThisInitialized(__chunk_1._assertThisInitialized(_this)), "getTooltip", function () {
      return ReactDOM.findDOMNode(__chunk_1._assertThisInitialized(__chunk_1._assertThisInitialized(_this)));
    });

    return _this;
  }

  var _proto = Component.prototype;

  _proto.componentDidMount = function componentDidMount() {
    var _this$getTooltip = this.getTooltip(),
        parentNode = _this$getTooltip.parentNode;

    if (parentNode && !this.isControlled()) {
      parentNode.addEventListener("mouseenter", this.show);
      parentNode.addEventListener("focus", this.show);
      parentNode.addEventListener("mouseleave", this.hide);
      parentNode.addEventListener("blur", this.hide);
    }
  };

  _proto.componentWillUnmount = function componentWillUnmount() {
    var _this$getTooltip2 = this.getTooltip(),
        parentNode = _this$getTooltip2.parentNode;

    if (parentNode) {
      parentNode.removeEventListener("mouseenter", this.show);
      parentNode.removeEventListener("focus", this.show);
      parentNode.removeEventListener("mouseleave", this.hide);
      parentNode.removeEventListener("blur", this.hide);
    }
  };

  _proto.render = function render() {
    var _ref = this.isControlled() ? this.props : this.state,
        visible = _ref.visible;

    return React__default.createElement(Popover.default, __chunk_1._extends({}, this.props, {
      visible: visible
    }));
  };

  return Component;
}(React__default.Component);

hoistNonReactStatics(Component, Popover.default);
var Tooltip = styled.default(Component).withConfig({
  displayName: "Tooltip",
  componentId: "sc-8x61i5-0"
})(["pointer-events:none;white-space:nowrap;text-transform:none;font-size:0.875em;text-align:center;color:white;background-color:#222;border-radius:0.15384em;padding:0.75em 1em;", ";"], styledTools.prop("theme.Tooltip"));
Tooltip.defaultProps = {
  role: "tooltip",
  placement: "top"
};
var Tooltip$1 = as.default("div")(Tooltip);

var TooltipArrow = styled.default(__chunk_8.PopoverArrow).withConfig({
  displayName: "TooltipArrow",
  componentId: "ljormk-0"
})(["color:#222;border:none;", ";"], styledTools.prop("theme.TooltipArrow"));
var TooltipArrow$1 = as.default("div")(TooltipArrow);

Tooltip$1.Arrow = TooltipArrow$1;

exports.default = Tooltip$1;
