'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var __chunk_1 = require('./chunk-582bef72.js');
var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = require('prop-types');
var PropTypes__default = _interopDefault(PropTypes);
var constate = require('constate');

var initialState = {
  visible: false
};
var toggle = function toggle() {
  return function (state) {
    return {
      visible: !state.visible
    };
  };
};
var show = function show() {
  return function () {
    return {
      visible: true
    };
  };
};
var hide = function hide() {
  return function () {
    return {
      visible: false
    };
  };
};

var HiddenContainer = function HiddenContainer(props) {
  return React__default.createElement(constate.Container, __chunk_1._extends({}, props, {
    initialState: __chunk_1._objectSpread({}, initialState, props.initialState),
    actions: __chunk_1._objectSpread({
      toggle: toggle,
      show: show,
      hide: hide
    }, props.actions)
  }));
};

HiddenContainer.propTypes = {
  initialState: PropTypes__default.object,
  actions: PropTypes__default.objectOf(PropTypes__default.func)
};

exports.HiddenContainer = HiddenContainer;
